FileUpload (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.fileupload.FileUpload class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Class FileUpload

    java.lang.Object
      org.apache.tomcat.util.http.fileupload.FileUploadBase
          org.apache.tomcat.util.http.fileupload.FileUpload

    public class FileUpload

extends FileUploadBase

High level API for processing file uploads.

This class handles multiple files per single HTML widget, sent using `multipart/mixed` encoding type, as specified by RFC 1867. Use `FileUploadBase.parseRequest(HttpServletRequest)` to acquire a list of `FileItem`s associated with a given HTML widget.

How the data for individual parts is stored is determined by the factory used to create them; a given part may be in memory, on disk, or somewhere else.

Version:
  $Id: FileUpload.java 467222 2006-10-24 03:17:11Z markt $
Author:
  Rafal Krzewski, Daniel Rall, Jason van Zyl, John McNally, Martin Cooper, Sean C. Sullivan

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tomcat.util.http.fileupload.FileUploadBase
`FileUploadBase.InvalidContentTypeException, FileUploadBase.SizeLimitExceededException, FileUploadBase.UnknownSizeException`

Field Summary

Fields inherited from class org.apache.tomcat.util.http.fileupload.FileUploadBase
`ATTACHMENT, CONTENT_DISPOSITION, CONTENT_TYPE, FORM_DATA, MAX_HEADER_SIZE, MULTIPART, MULTIPART_FORM_DATA, MULTIPART_MIXED`

Constructor Summary
`FileUpload()` Constructs an instance of this class which uses the default factory to create `FileItem` instances.
`FileUpload(FileItemFactory fileItemFactory)` Constructs an instance of this class which uses the supplied factory to create `FileItem` instances.

Method Summary
`FileItemFactory` | `getFileItemFactory()` Returns the factory class used when creating file items.
`void` | `setFileItemFactory(FileItemFactory factory)` Sets the factory class to use when creating file items.

Methods inherited from class org.apache.tomcat.util.http.fileupload.FileUploadBase
`createItem, getFieldName, getFileName, getHeader, getHeaderEncoding, getSizeMax, isMultipartContent, parseHeaders, parseRequest, setHeaderEncoding, setSizeMax`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUpload

    public FileUpload()

  Constructs an instance of this class which uses the default factory to create `FileItem` instances.

  See Also:
    `FileUpload(FileItemFactory)`

### FileUpload

    public FileUpload(FileItemFactory fileItemFactory)

  Constructs an instance of this class which uses the supplied factory to create `FileItem` instances.

  See Also:
    `FileUpload()`

Method Detail

### getFileItemFactory

    public FileItemFactory getFileItemFactory()

  Returns the factory class used when creating file items.

  Specified by:
    `getFileItemFactory` in class `FileUploadBase`
  Returns:
    The factory class for new file items.

### setFileItemFactory

    public void setFileItemFactory(FileItemFactory factory)

  Sets the factory class to use when creating file items.

  Specified by:
    `setFileItemFactory` in class `FileUploadBase`
  Parameters:
    `factory` - The factory class for new file items.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.